<template>
  <div
    :class="[passenger.temperature >= 37.5 ? 'border-red-default' : 'border-blue-default', `absolute bg-white rounded-md border-${borderSize} border-solid  rounded-full p-1 w-${size} h-${size} cursor-pointer`]"
    :style="`left: ${passenger.unitX}%; top: ${passenger.unitY}%;`"
    @click="() => onSelectPeople(passenger.id)"
  >
  </div>
</template>

<script lang="ts">
import { IPassengerItem } from '~/contracts'

export default {
  props: {
    passenger: {
      type: Object as () => IPassengerItem,
      required: true
    },
    size: {
      type: Number,
      default: 1,
    },
    borderSize: {
      type: Number,
      default: 2,
    },
    onSelectPeople: {
      type: Function,
      default: () => {},
    },
  },
}
</script>
